module Qian
  module Util
    extend self

    #
    # 将 Ruby 的 Class 字符串转为类 Java 的包名
    #
    # @param [String] class_name
    #
    # @return [String]
    #
    def convert_class_name_to_package_name(class_name)
      segments = class_name.downcase.split("::")
      segments[segments.length - 1] = segments[segments.length - 1].capitalize
      segments.join(".")
    end
  end
end
