module Qian
  module Events
    class Engagement
      include Qian::Event

      kafka_topic :qian_engagement_events

      #
      # Attributes
      #
      attribute :user_id, Integer
      attribute :action, String
      attribute :server_time, Integer
      attribute :local_time, Integer
      attribute :placement, Integer
      attribute :props, Hash[String => String]
      attribute :app, String
      attribute :app_version, String
      attribute :real_ip, String
      attribute :batch_id, String
    end
  end
end
